Page MenuHomePhabricator

Make SPARQL endpoint discoverable using Wikibase API
Closed, ResolvedPublic

Description

I have a library and I want the scripts I am writing to be easily usable on multiple wikibase installations.
3rd party wikibase installs can install their own sparql endpoint.

It would be super useful if the SPARQL endpoint could be discoverable using the mediawiki / wikibase api somehow.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd $wgWBRepoSettings['sparqlEndpoint']
mediawiki/extensions/Wikibase : masterMake sparql endpoint discoverable in ApiSiteInfo

Event Timeline

Addshore created this task.Jan 31 2016, 8:31 PM
Addshore raised the priority of this task from to Low.
Addshore updated the task description. (Show Details)
Restricted Application added a project: Discovery. · View Herald TranscriptJan 31 2016, 8:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore moved this task from Incoming to Watching on the Addwiki board.Jan 31 2016, 8:31 PM
Deskana moved this task from Needs triage to Tracking on the Discovery board.Feb 3 2016, 6:14 PM

It looks like there should be probably some <link> tag in HTML output maybe, configurable of course, but I couldn't find any standards that talk about it.

Change 268465 had a related patch set uploaded (by Addshore):
Make sparql endpoint discoverable in ApiSiteInfo

https://gerrit.wikimedia.org/r/268465

I also could not find any standards, but see the patch above

Change 268467 had a related patch set uploaded (by Addshore):
Add $wgWBRepoSettings['sparqlEndpoint']

https://gerrit.wikimedia.org/r/268467

Ricordisamoa added a subscriber: Ricordisamoa.

Change 268465 merged by jenkins-bot:
Make sparql endpoint discoverable in ApiSiteInfo

https://gerrit.wikimedia.org/r/268465

Patch is merged in wikibase
Config patch due to be merged on the 8th
Which means this will be available the deployment after that!

Addshore claimed this task.Feb 5 2016, 10:07 AM
Addshore set Security to None.

Change 268467 merged by jenkins-bot:
Add $wgWBRepoSettings['sparqlEndpoint']

https://gerrit.wikimedia.org/r/268467

Smalyshev moved this task from Ready for work to External on the Wikidata-Query-Service board.

So this is done I assume?

It's not quite all deployed yet so best to keep it open for a few more days!

Lydia_Pintscher closed this task as Resolved.Feb 19 2016, 10:33 AM
Addshore moved this task from Watching to Done on the Addwiki board.Mar 9 2017, 9:14 AM
Restricted Application added a project: User-Addshore. · View Herald TranscriptMar 9 2017, 9:14 AM